%define upstream_name    Plack-Middleware-Debug
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Debug panel to inspect the environment
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Encode)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Module::Versions)
BuildRequires: perl(Plack)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Text::MicroTemplate)
BuildRequires: perl(parent)
BuildArch: noarch

%description
The debug middleware offers a configurable set of panels that displays
information about the current request and response. The information is
generated only for responses with a status of 200 ('OK') and a
'Content-Type' that contains 'text/html' or 'application/xhtml+xml' and is
embedded in the HTML that is sent back to the browser. Also the code is
injected directly before the '</body>' tag so if there is no such tag, the
information will not be injected.

To enable the middleware, just use the Plack::Builder manpage as usual in
your '.psgi' file:

    use Plack::Builder;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-2.mga4
+ Revision: 534094
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.160.0-1.mga4
+ Revision: 476277
- update to 0.16

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-3.mga3
+ Revision: 371831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 pterjan <pterjan> 0.140.0-2.mga3
+ Revision: 336455
- Add missing BuildRequires

* Mon Oct 08 2012 jquelin <jquelin> 0.140.0-1.mga3
+ Revision: 303636
- adding missing buildrequires:
- imported package perl-Plack-Middleware-Debug


* Mon Oct 08 2012 cpan2dist 0.14-1mga
- initial mageia release, generated with cpan2dist
